This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 146759 - Up2date forgetting status at errors during install
Up2date forgetting status at errors during install
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-01 08:02 EST by Jørgen Thomsen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jørgen Thomsen 2005-02-01 08:02:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; i-
NavFourF; .NET CLR 1.1.4322)

Description of problem:
After downloading a number of files (when they could be found !!) the 
installation was started and succeded for several packages. However 
suddenly up2date reported a file not found and exit was the only 
option. After that up2date had forgotten everything about the status 
and all the remaining RPMs not installed appear nowhere to be 
installed as up2date has marked them as been installed.

I was using the GUI versions and just clicking my way through in a 
simple manner.

Version-Release number of selected component (if applicable):
Red Hat Update Agent v        
(up2date --version sic! ) (from rpm: 4.3.47-5)

How reproducible:
Didn't try


Additional info:
Comment 1 Jørgen Thomsen 2005-02-04 12:05:09 EST
This is causing up2date to fail:

There was a fatal RPM error.  The message was:
Error opening /var/spool/up2date/enscript-1.6.1-28.0.2.i386.rpm

(there is no such file)

rpm -U -p /var/spool/up2date/enscript-1.6.1-28.0.4.i386.rpm
        package enscript-1.6.1-28.0.2 is already installed

Isn't there any quality assurance applied ? E.g. just installing all
packages on a reference machine ?
Comment 2 Matthew Miller 2006-07-10 17:15:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:16:48 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.